import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * A world where wombats live.
 * 
 * @author mlewis
 */
public class WombatWorld extends World
{
    /**
     * Create a new world with 8x8 cells and
     * with a cell size of 60x60 pixels
     */
    public WombatWorld() 
    {
        super(8,8,60);        
    }

    /**
     * Populate the world with a fixed scenario of wombats and leaves.
     */    
    public void populate()
    {
        addObject(new Wombat(),3,3);
        addObject(new Leaf(),4,0);
        addObject(new Leaf(),1,1);
        addObject(new Leaf(),7,1);
        addObject(new Leaf(),4,3);
        addObject(new Leaf(),1,5);
        addObject(new Leaf(),5,6);
        addObject(new Leaf(),7,7);
    }
    
    /**
     * Place a number of leaves into the world at random places.
     * The number of leaves can be specified.
     * @param howMany The number of leaves to add.
     */
    public void randomLeaves(int howMany)
    {
        for(int i=0; i<howMany; i++) {
            Leaf leaf = new Leaf();
            int x = Greenfoot.getRandomNumber(getWidth());
            int y = Greenfoot.getRandomNumber(getHeight());
            addObject(leaf, x, y);
        }
    }
}